package com.dji.sdk.cloudapi.psdk;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * PSDK widget value set request
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class PsdkWidgetValueSetRequest extends BaseModel {

    /**
     * PSDK payload device index (0-3)
     */
    @NotNull
    @Min(0)
    private Integer psdkIndex;

    /**
     * Widget index
     */
    @NotNull
    @Min(0)
    private Integer index;

    /**
     * Widget value (defined by developer)
     */
    @NotNull
    private Integer value;

    public PsdkWidgetValueSetRequest() {
    }

    @Override
    public String toString() {
        return "PsdkWidgetValueSetRequest{" +
                "psdkIndex=" + psdkIndex +
                ", index=" + index +
                ", value=" + value +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public PsdkWidgetValueSetRequest setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public Integer getIndex() {
        return index;
    }

    public PsdkWidgetValueSetRequest setIndex(Integer index) {
        this.index = index;
        return this;
    }

    public Integer getValue() {
        return value;
    }

    public PsdkWidgetValueSetRequest setValue(Integer value) {
        this.value = value;
        return this;
    }
}
